Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class PartnerLinkVal

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.ToFrom
                  org.apache.ode.bpel.compiler.bom.PartnerLinkVal

    public class PartnerLinkVal

extends ToFrom

Assignment L/R-value defined in terms of a BPEL partner link.

Nested Class Summary
`static class` | `PartnerLinkVal.EndpointReference`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`PartnerLinkVal(org.w3c.dom.Element el)`

Method Summary
`PartnerLinkVal.EndpointReference` | `getEndpointReference()`
`java.lang.String` | `getPartnerLink()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.ToFrom
`getAsExpression, getAsExtensionVal, getAsPartnerLinkVal, getAsPropertyVal, getAsVariableVal, isExtensionVal, isPartnerLinkVal, isPropertyVal, isVariableVal`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PartnerLinkVal

    public PartnerLinkVal(org.w3c.dom.Element el)

Method Detail

### getPartnerLink

    public java.lang.String getPartnerLink()

### getEndpointReference

    public PartnerLinkVal.EndpointReference getEndpointReference()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD